// --------------------------------------------------
// COPYRIGHT © 2021 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 30 Jun, 2021 
// --------------------------------------------------


// CALLBACK FOR FINDINTERVAL BUTTON.
function RFG_FindInterval(RFG)
	if RFG.Function.string == '' then
		messagebox('Please enter the function f(x)','error','error');
	else
	x = -10000:0.1:10000;
	deff('y=f(x)', 'y = ' + convstr(RFG.Function.string, 'l'));
	y = f(x);
	z = csgn(y);
	v1 = Vectorfind(z,[1 -1]);
	v2 = Vectorfind(z,[-1 1]);
	v3 = Vectorfind(z,[-1 %nan 1]);
	v4 = Vectorfind(z,[1 %nan -1]);
	V2 = [v3, v4];
	V = [v1,v2]; j = 1;
	V = gsort(V,'g');
	V2 = gsort(V2,'g');
	str = [];
	for i = V2
		str(j) = "["+ string(x(i))+", "+string(x(i+2))+"]"
		j = j+1
	end
	for i = V
		str(j) = "["+ string(x(i))+", "+string(x(i+1))+"]"
		j = j+1
	end
	if str ~= [] then
		n = x_choose(str,['Possible interval for';'root finding']);
		if n ~-0
		I = evstr(str(n));
		if RFG.Choose.value == 3
			RFG.SecondGuess.string = string(I(2));
		else
			RFG.FirstGuess.string = string(I(1));
			RFG.SecondGuess.string = string(I(2));
		end
		end
	end
end
endfunction
