// --------------------------------------------------
// COPYRIGHT © 2021 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 30 Jun, 2021 
// --------------------------------------------------


// CALLBACK FOR PLOT BUTTON
function RFG_RootPlot(RFG)
	if RFG.Function.string == '' then
		messagebox('Please enter the function f(x)','error','error');
	elseif RFG.FirstGuess.string == '' 
		messagebox('Please provide all inputs','error','error');
	elseif ~isnum(RFG.SecondGuess.string)
		messagebox('Please enter a valid initial guess','error','error');
	elseif RFG.Choose.value ~=3 & ~isnum(RFG.FirstGuess.string)
		messagebox('Please enter a valid initial guess','error','error');
    else
		deff('y=f(x)', 'y = ' + convstr(RFG.Function.string, 'l'));
		b = evstr(RFG.SecondGuess.string);
		if RFG.Choose.value == 3 then
			if b==0
				a = -10; b= 10;
			else
				a = -b;
			end
		else
			a = evstr(RFG.FirstGuess.string);
		end
		x = linspace(a,b,2000);
		plot(x,f(x),'g','thickness',3);
		RFG.Plot.x_location = "origin"
		RFG.Plot.y_location = "origin"
		xlabel("x", 'fontsize',4);
		ylabel("f(x)", 'fontsize',4);
		xgrid(6)
	end
endfunction
