// --------------------------------------------------
// COPYRIGHT © 2021 - AUTHOR - MANISH JOSHI
//
// CREATED USING SCILAB-6.1.0 ON WINDOWS-10 64-bit
//
// DATE OF CREATION: 30 Jun, 2021 
// --------------------------------------------------


// CALLBACK FOR SELECT METHOD.
function RFG_Choose_callback(RFG,f)
	RFG.FirstGuess.string='';
	RFG.SecondGuess.string='';
	RFG.OutputTable.string = '';
	RFG.Root.string = '';
	RFG.MaxItr.string = '';
	if RFG.Choose.value ==1 then
		RFG.FirstGuessLabel.string = 'a :  '
		RFG.SecondGuessLabel.string = 'b :  '
		RFG.ErrorType.string = ['<html><label>   &nbsp&nbsp | b - a |</label></html>' ,'<html><font size=""1"" ><table align=""center"" cellspacing=""0"" cellpadding=""0"" border=""0""><tr><td>&nbsp&nbsp | b -a |</td></tr><tr><td><hr width=""80%""></td></tr><tr><td>&nbsp&nbsp&nbsp&nbsp| b |</td></tr></table></html>','<html><font size=""1"" ><table align=""center"" cellspacing=""0"" cellpadding=""0"" border=""0""><tr><td>&nbsp&nbsp| b - a |</td></tr><tr><td><hr width=""80%""></td><td> X 100</td></tr><tr><td>&nbsp&nbsp&nbsp&nbsp| b |</td></tr></table></html>','    | f(c) |']
		RFG.ErrorType.value = 4
		f.info_message = "Bisection method has the important property that it always converges to a solution, and for that"+ascii(10)+"reason it is often used as a starter for the more efficient methods. But it is slow to converge."
	elseif RFG.Choose.value == 2
		RFG.FirstGuessLabel.string = 'a :  '
		RFG.SecondGuessLabel.string = 'b :  '
		RFG.ErrorType.string = ['<html><label>   &nbsp&nbsp | c<sub>i+1</sub> - c<sub>i</sub> |</label></html>' ,'<html><font size=""1"" ><table align=""center"" cellspacing=""0"" cellpadding=""0"" border=""0""><tr><td>&nbsp&nbsp | c<sub>i+1</sub> - c<sub>i</sub> |</td></tr><tr><td><hr width=""80%""></td></tr><tr><td>&nbsp&nbsp&nbsp&nbsp| c<sub>i+1</sub> |</td></tr></table></html>','<html><font size=""1"" ><table align=""center"" cellspacing=""0"" cellpadding=""0"" border=""0""><tr><td>&nbsp&nbsp| c<sub>i+1</sub> - c<sub>i</sub> |</td></tr><tr><td><hr width=""80%""></td><td> X 100</td></tr><tr><td>&nbsp&nbsp&nbsp&nbsp| c<sub>i+1</sub> |</td></tr></table></html>','    | f(c) |'];
		RFG.ErrorType.value = 4
		f.info_message = "The method of false position generates approximations in the same manner as the secant method,"+ascii(10)+"but it includes a test to ensure that the root is always bracketed between successive iterations."
	elseif RFG.Choose.value == 3
		RFG.FirstGuessLabel.string = "f''(x) : ";
		RFG.SecondGuessLabel.string = 'a :  '
		f.info_message = "Newton-Raphson method has a quadratic convergence. Major weakness is to know the value of the"+ascii(10)+"derivative of f at each approximation. Frequently, f''(x) is far more difficult and needs more arithmetic operations to calculate than f (x)."
		RFG.ErrorType.string = ['<html><label>   &nbsp&nbsp | c - a |</label></html>' ,'<html><font size=""1"" ><table align=""center"" cellspacing=""0"" cellpadding=""0"" border=""0""><tr><td>&nbsp&nbsp | c -a |</td></tr><tr><td><hr width=""80%""></td></tr><tr><td>&nbsp&nbsp&nbsp&nbsp| c |</td></tr></table></html>','<html><font size=""1"" ><table align=""center"" cellspacing=""0"" cellpadding=""0"" border=""0""><tr><td>&nbsp&nbsp| c - a |</td></tr><tr><td><hr width=""80%""></td><td> X 100</td></tr><tr><td>&nbsp&nbsp&nbsp&nbsp| c |</td></tr></table></html>','    | f(c) |']
		RFG.ErrorType.value = 4
	elseif RFG.Choose.value == 4
		RFG.FirstGuessLabel.string = 'a :  '
		RFG.SecondGuessLabel.string = 'b :  '
		RFG.ErrorType.string = ["    | f(c) |", '    | c - b |']
		RFG.ErrorType.value = 1
		f.info_message = "The convergence of Secant method is super linear and the order of convergence is 1.618 "+ascii(10)+"It does not require use of the derivative of the function."
	end
endfunction
